Subject: Call for nominations: IETF appointments to the ISOC Board of Trustees

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 03 Dec 2014 11:42:05 -0800

The Internet Society (ISOC) provides organizational and financial 
support for the IETF. As part of the arrangements between ISOC and the 
IETF, the IETF is called upon to name 4 Trustees to its Board (BoT), 
with staggered 3-year terms.  This requires that the IETF select two
Trustees in 2015. 
 
This year, the IAB will select 2 people for terms beginning in mid-2015
and ending in mid-2018. 

A description of the IAB's process for selecting the Trustee each year 
can be found in RFC 3677, with this year's timeline as follows: 
 
* Wednesday, December 3, 2014 : Open nomination period

* February 11, 2015 : Close of the nomination period 

* No later than April 1, 2015: IAB selection delivered to IESG for 
  confirmation

* No later than April 30, 2015 : Delivery of final confirmed selection 
  to the ISOC Elections Committee for announcement with the rest of
  the new ISOC BoT slate. 

Nominations 
----------- 
 
Nominations (including self-nominations) should be sent to the IAB 
Executive Administrative Manager at <[email-masked]>.  Please include e-
mail contact details with the nomination. 
  
Nomination Details 
------------------ 
 
Nominees should be aware that ISOC Trustees are elected to three year 
terms with approximately one third of the Board of Trustees 
selected each year. The responsibilities of a Trustee include fiscal 
management of the Internet Society, fundraising, and participation
in Board meetings plus conference-call meetings, as detailed by
the ISOC Bylaws:

http://www.internetsociety.org/who-we-are/governance-and-policies/amended-and-restated-laws-internet-society

The desirable characteristics of a candidate that are specific
to the IETF-selected ISOC BoT member are outlined in
section 2 of RFC 3677. 
 
Nominees are asked to provide to the IAB: 
 
1. Confirmation of their willingness to be considered within this 
   process. 
 
2. Full name and contact information. 
 
3. A statement confirming willingness and ability to devote an 
   appropriate level of time to activities associated with the 
   position of Trustee. 
 
4. A brief biography outlining experience and background. 
 
5. A statement of interests, concerns about the Internet Society, goals 
   as a Trustee and motivation to serve as a Trustee. 
 
6. Any further information that is relevant to the work of the IAB in 
   considering your nomination. 
 
Time Commitment 
--------------- 
 
Trustees are expected to commit the time necessary to perform regular 
board and committee business. Trustees are also expected to allocate
some time to attend and prepare for meetings. 

Care of Personal Information 
---------------------------- 
 
The following procedures will be used by the IAB in managing this 
process: 
 
- The candidate's name will be published, with all other candidate 
  names, at the close of the nominations period.
 
- Excerpts of the information provided to the IAB by the nominated 
  candidate will be passed to the IESG as part of the confirmation 
  process. The IESG will be requested to maintain confidentiality 
  of the candidate's information.
 
- Except as noted above, all information provided to the IAB during
  this process will be kept confidential to the IAB. 

Current IETF-Selected Trustees 
------------------------------

The current IETF-Selected ISOC Trustees and their term of appointment 
are: 
 
- Eric Burger 2012-2015
- Bob Hinden 2013-2016 
- Sean Turner 2014-2017

Please Note
-----------

Russ Housley, IAB Chair, has recused himself from this process.  Please 
direct all replies to Cindy Morgan, IAB Executive Administrative 
Manager, at <[email-masked]>.

Best regards,
Cindy Morgan
IAB Executive Administrative Manager